<div class="container mt-5">
    <div class="py-5 text-center">
      <h2>Cadasro de contas</h2>
    </div>

    <div class="alert alert-danger" *ngFor="let erro of erros;" role="alert">
        {{erro.mensagem}}
        <button type="button" class="close" data-dismiss="alert" aria-label="fechar">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>

    <div class="alert alert-success" *ngIf="mensagemSucesso" role="alert">
        {{mensagemSucesso}}
        <button type="button" class="close" data-dismiss="alert" aria-label="fechar">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>

    <div class="row">
        <div class="col-md-12">
            <form [formGroup]="formGroup" (ngSubmit)="salvar()">
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Nome</label>
                    <div class="col-sm-4">
                        <input type="text" class="form-control" formControlName="nome" maxlength="255">
                        <div *ngIf="submitted && formGroup.controls.nome.hasError('required')" class="invalid-feedback d-block" >
                            Campo obrigatório.
                        </div>
                    </div>
                </div>

                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Valor Original</label>
                    <div class="col-sm-4">
                        <input type="number" class="form-control" formControlName="valor">
                        <div *ngIf="submitted && formGroup.controls.valor.hasError('required')" class="invalid-feedback d-block" >
                            Campo obrigatório.
                        </div>
                    </div>
                </div>

                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Data De Vencimento</label>
                    <div class="col-sm-4">
                        <input type="text" class="form-control" bsDatepicker formControlName="vencimento">
                        <div *ngIf="submitted && formGroup.controls.vencimento.hasError('required')" class="invalid-feedback d-block" >
                            Campo obrigatório.
                        </div>
                    </div>
                </div>

                <div class="form-group row">
                    <label class="col-sm-3 col-form-label">Data De Pagamento</label>
                    <div class="col-sm-4">
                        <input type="text" class="form-control" bsDatepicker formControlName="pagamento">
                        <div *ngIf="submitted && formGroup.controls.pagamento.hasError('required')" class="invalid-feedback d-block" >
                            Campo obrigatório.
                        </div>
                    </div>
                </div>

                <div class="form-group row">
                    <button class="btn btn-white" type="button" (click)="voltar()">Voltar</button>
                    <button class="btn btn-primary" type="button" (click)="salvar()">Salvar</button>
                </div>
            </form>
        </div>
    </div>
</div>